description: >
methods:
    - name: StaticGateway
      description: >
          Create a static gateway entry.
      parameters:
          - name: Gateway
            type: string
            description: >
                Static gateway address
          - name: PrefixLength
            type: size
            description: >
                Number of network bits in the address
          - name: ProtocolType
            type: enum[xyz.openbmc_project.Network.IP.Protocol]
            description: >
                protocol type can be IPv4 or IPv6 etc.
      returns:
          - name: Path
            type: object_path
            description: >
                The path for the created static gateway object.
      errors:
          - xyz.openbmc_project.Common.Error.InvalidArgument
